---
gitea: none
include_toc: true
---

# Variables
## HTTP(s) proxy server overview and configuration (env_proxy)

A proxy server acts as an intermediary gateway between a client and another
HTTP(s) server, such as the Internet.

It makes service requests on behalf of a local client and allows the client
to make network connections to network services outside its own network.


| Parameter                                                                                                                                                                                                                                                  | Comment                                                                                                                                                                                                                                                    |
|------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------|------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------|
| **host**<br/>`mandatory`<br/>**Type:** [`domainname`](https://forge.cloud.silique.fr/stove/rougail/src/branch/main/doc/variable/README.md#le-type-de-la-variable)                                                                                          | The proxy server’s address.<br/>Specifies the hostname of proxy server to enable proxy server access to all of your HTTP(s) requests. .<br/>**Example:** proxy.silique.fr                                                                                  |
| **port**<br/>`mandatory`<br/>**Type:** [`port`](https://forge.cloud.silique.fr/stove/rougail/src/branch/main/doc/variable/README.md#le-type-de-la-variable)                                                                                                | The proxy server's port.<br/>**Example:** 3128                                                                                                                                                                                                             |

# Example with mandatories variables

```
env_proxy:
  host: proxy.silique.fr
  port: '3128'
```

# Example with all variables

```
env_proxy:
  host: proxy.silique.fr
  port: '3128'
```
